com.dlsc.flexgantt.swing.util

## Enum PathCalculator.ArrowDirection

- java.lang.Object
- - java.lang.Enum<PathCalculator.ArrowDirection>
  - - com.dlsc.flexgantt.swing.util.PathCalculator.ArrowDirection

- All Implemented Interfaces:
    Serializable, Comparable<PathCalculator.ArrowDirection>
  Enclosing class:
    PathCalculator

      public static enum PathCalculator.ArrowDirection
      extends Enum<PathCalculator.ArrowDirection>

  An enum listing the various directions the arrow can be painted.
  Since:
    2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOWN` Draws the arrow pointing down.
    `LEFT` Draws the arrow pointing left.
    `RIGHT` Draws the arrow pointing right.
    `UP` Draws the arrow pointing up.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PathCalculator.ArrowDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PathCalculator.ArrowDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UP

          public static final PathCalculator.ArrowDirection UP

      Draws the arrow pointing up.
      Since:
        2.0

    - #### DOWN

          public static final PathCalculator.ArrowDirection DOWN

      Draws the arrow pointing down.
      Since:
        2.0

    - #### LEFT

          public static final PathCalculator.ArrowDirection LEFT

      Draws the arrow pointing left.
      Since:
        2.0

    - #### RIGHT

          public static final PathCalculator.ArrowDirection RIGHT

      Draws the arrow pointing right.
      Since:
        2.0

  - ### Method Detail

    - #### values

          public static PathCalculator.ArrowDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PathCalculator.ArrowDirection c : PathCalculator.ArrowDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PathCalculator.ArrowDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.